;;; +compile.el --- Extras for compile -*- lexical-binding: t; -*-

;;; Commentary:

;;; Code:

(defcustom +compile-function nil
  "Function to run to \"compile\" a buffer."
  :type 'function
  :local t)

(defun +compile-dispatch (&optional arg)
  "Run `+compile-function', if bound, or `compile'.
Any prefix ARG is passed to that function."
  (interactive "P")
  (call-interactively (or +compile-function #'compile)))

(provide '+compile)
;;; +compile.el ends here
