;;; +paredit.el --- bespoke paredit stuffs -*- lexical-binding: t; -*-

;;; Commentary:

;;; Code:

(require '+emacs)                       ; `+backward-kill-word-wrapper'

(defun +paredit--backward-kill-word (&optional n)
  "Perform `paredit-backward-kill-word' N times."
  (interactive "p")
  (dotimes (_ (or n 1))
    (paredit-backward-kill-word)))

(defun +paredit-backward-kill-word (&optional arg)
  "Kill a word backward using `paredit-backward-kill-word'.
Wrapped in `+backward-kill-word-wrapper', which see.

Prefix ARG means to just call `paredit-backward-kill-word'."
  ;; Of course, `paredit-backward-kill-word' doesn't TAKE an argument ... :///
  ;; So I had to write the wrapper above.
  (interactive)
  (+backward-kill-word-wrapper #'+paredit--backward-kill-word arg))

(provide '+paredit)
;;; +paredit.el ends here
